Bug 474057 - meinproc4 creates absolute instead of relative symlinks for the common directory
meinproc4 creates absolute instead of relative symlinks for the common directory
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 17:15 EST by Till Maas
Modified: 2009-04-27 14:24 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 14:24:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2008-12-01 17:15:30 EST
Description of problem:
During the package review of kopete-cryptography I noticed that all common directories from the HTML documentation are absolute symlinks, e.g.
/usr/share/doc/HTML/uk/kopete-cryptography/common -> /usr/share/doc/HTML/uk//common

For the kdenetwork package from F8 (kdenetwork-3.5.10-1.fc8) some symlinks are relative, e.g.:
/usr/share/doc/HTML/en/lisa/common -> ../common


Version-Release number of selected component (if applicable):
kdelibs 6:4.1.3-3.fc10


How reproducible:
always


Steps to Reproduce:
1. build kde4 package with documentation using cmake
  
Actual results:
absolute symlinks to the common directory

Expected results:
relative symlinks

Additional info:

A short research showed that there is a cmake kde4 macro to generate documentation and all it does seem to be to run meinproc, therefore I guess it is a bug of meinproc, because it sometimes worked correctly in KDE 3.
Comment 1 Kevin Kofler 2008-12-01 17:24:28 EST
Sounds like it's a valid complaint. We'll look into this.

Please don't block the kopete-cryptography review on this, as this is of no fault of that package and adding hacks to work around it is probably counterproductive.
Comment 2 Kevin Kofler 2008-12-01 17:25:16 EST
Oh, and there's no kdelibs4 in Fedora >= 9, please file the bugs against kdelibs next time. :-)
Comment 3 Steven M. Parrish 2009-01-10 10:12:22 EST
Ping?
Comment 4 Kevin Kofler 2009-01-10 13:36:45 EST
Probably best to file upstream...
Comment 5 Steven M. Parrish 2009-02-04 12:29:15 EST
Thank you for the bug report.  This issue needs to be addressed by the upstream developers.  Please submit a report at http://bugs.kde.org. You are requested to add the bugzilla link here for tracking purposes. Please make sure the bug isn't already in the upstream bug tracker before filing it.
Comment 6 Till Maas 2009-03-10 20:38:25 EDT
(In reply to comment #5)
> Thank you for the bug report.  This issue needs to be addressed by the upstream
> developers.  Please submit a report at http://bugs.kde.org. You are requested
> to add the bugzilla link here for tracking purposes. Please make sure the bug
> isn't already in the upstream bug tracker before filing it.  

Can you please be more specific about where to file the bug. If I click there on "Report New Wish or Bug" a wizard is started that demands an application name, but I cannot find meinproc there. If I select to list any application, I only get an unsorted(!) list of applications that seems not to contain meinproc. Also searching for meinproc does not return any results.
Comment 7 Steven M. Parrish 2009-03-16 21:25:35 EDT
(In reply to comment #6)
> (In reply to comment #5)
> > Thank you for the bug report.  This issue needs to be addressed by the upstream
> > developers.  Please submit a report at http://bugs.kde.org. You are requested
> > to add the bugzilla link here for tracking purposes. Please make sure the bug
> > isn't already in the upstream bug tracker before filing it.  
> 
> Can you please be more specific about where to file the bug. If I click there
> on "Report New Wish or Bug" a wizard is started that demands an application
> name, but I cannot find meinproc there. If I select to list any application, I
> only get an unsorted(!) list of applications that seems not to contain
> meinproc. Also searching for meinproc does not return any results.  

File the bug against kdelibs, that should get it to the right devs
Comment 8 Steven M. Parrish 2009-04-27 14:24:59 EDT
The information we've requested above is required in order to review this problem report further and diagnose or fix the issue if it is still present.  Since it has been thirty days or more since we first requested additional information, we're assuming the problem is either no longer present in the current Fedora release, or that there is no longer any interest in tracking the problem.

Setting status to "CLOSED: INSUFFICIENT_DATA".  If you still experience this problem after updating to our latest Fedora release and can provide the information previously requested, please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.